Bug 142257 - Impress shortcuts Increase/Decrease size don’t work on Windows + Hungarian keyboard
Summary: Impress shortcuts Increase/Decrease size don’t work on Windows + Hungarian ke...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Shortcuts-AltGR
  Show dependency treegraph
 
Reported: 2021-05-13 13:38 UTC by NISZ LibreOffice Team
Modified: 2021-07-06 06:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Impress (63.41 KB, image/png)
2021-05-13 13:38 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-13 13:38:25 UTC
Created attachment 171960 [details]
Screenshot of the problem in Impress

Impress has shortcuts for Increase size / Decrease size commands that don’t work with Hungarian keyboard on Windows: Ctrl+ [ and Ctrl + ] can not be entered correctly: AltGr + f = [ and AltGr + g = ].
These work under Ubuntu and Hungarian keyboard.
New shortcuts are needed.

Steps to reproduce:
    1. Select a bit of text in Impress
    2. Format – Text – Increase size and Decrease size commands work.
    3. Ctrl+AltGr+f and Ctrl+AltGr+g don’t work

Actual results:
Shorcuts don’t work.

Expected results:
Working shortcuts. I propose:
Ctrl+Shift+, for Decrease size
Ctrl+Shift+. for Increase size

These seem to work under Windows and Hungarian keyboard, also they resemble the PowerPoint shortcuts for these functions, which are Ctrl+Shift+: and Ctrl+Shift+:
These seem to be free in Impress and in the global settings too.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dbd4110cc36011042c98549d997daa79e8065aba
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 Gabor Kelemen (allotropia) 2021-05-13 22:41:01 UTC
Also the same are used in Writer and Draw as well.
Comment 2 Commit Notification 2021-05-25 11:22:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4c1bab94d7c113f2fcb5458809fe8ec0683be951

tdf#142257 Replace Ctrl+[ / ] shortcuts for Hungarian

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-05-31 07:48:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7db006c1b1601533bfc7c361af69800a8b17979e

tdf#142257 (related) Replace Ctrl+[] shortcuts in Calc for Hungarian

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-10 11:59:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8d2d627a13de56bb95802d8ca1086933314fee46

tdf#142257 Add Word-compatible secondary shortcuts for Grow/Shrink

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-07-06 06:37:48 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded